import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;


public class BrokerImpl extends java.rmi.server.UnicastRemoteObject implements Broker {

	J j;
	I i;
	protected BrokerImpl() throws RemoteException {
		super();
		j=new B();
		i=new A(j);
	}
	public I getI(){ return i;}
	public J getJ(){ return j;}

	public static void main(String args[]) throws Exception {
		Registry reg=LocateRegistry.createRegistry(2000);
		reg.rebind("broker", new BrokerImpl());
		System.out.println("TRACE Broker bound");
	}
}

